<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/UserDialog/UserDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_user_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_USERDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_USERDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QDialog&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QMenuBar&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/qtabwidget.h&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;../../widgets/UserPreferencesWidget/UserPreferencesWidget.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;../../widgets/UserBooksWidget/UserBooksWidget.h&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="class_user_dialog.html">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_user_dialog.html">UserDialog</a> : <span class="keyword">public</span> QDialog {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;Q_OBJECT</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_user_dialog.html#ab399986324d115af1ee3aa9de52fcd14">UserDialog</a>(QString title = <span class="stringliteral">&quot;User&quot;</span>, QDialog *parent = 0);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a45c414c62b116e74e61ba290f3400505">setup</a>();</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">openAboutDialog</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">openHelpDialog</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;signals:</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">sendDetailsAboutBookRequest</a>(QString isbn);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">sendSearchBookRequest</a>(QString <span class="keywordtype">id</span>, QString title);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">sendWishlistRequest</a>();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">sendLoansRequest</a>();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">sendAddBookToWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">sendRemoveBookFromWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">sendReserveBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">sendReturnBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">sendCurrentUserRequest</a>();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">sendEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">sendImportWishlistFromFileRequest</a>(QString pathToFileToImport);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">sendExportWishlistFromFileRequest</a>(QString pathToFileToExport);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">sendDetailsAboutBookRequestResult</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">sendSearchBookRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">sendWishlistRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">sendLoansRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">sendReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">sendReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">sendAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">sendRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">sendUserRequestResult</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">sendEditUserRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">sendImportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">sendExportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    QTabWidget *tabWidget;  <span class="comment">// tabs</span></div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    <a class="code" href="class_user_books_widget.html">UserBooksWidget</a> *userBooksTab;  <span class="comment">// tab to let user manage books</span></div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    <a class="code" href="class_user_preferences_widget.html">UserPreferencesWidget</a> *userPreferencesTab;  <span class="comment">// tab to edit user settings</span></div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#afe9e641da1d07ae9a364eef4ce3c5bab">connectSignalsSlots</a>();</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <span class="keyword">virtual</span> QMenuBar *<a class="code" href="class_user_dialog.html#ada179e25c08942cd6f200dc0ad8ba3ed">createMenuBar</a>();</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#ac53233e905d7e83008028fec11ea2538">createAndAddMyBooksTab</a>();</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_user_dialog.html#a7bc4daa2484ab1ba35e78d7fcda8e91a">createAndAddPreferencesTab</a>();</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;};</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_USERDIALOG_H</span></div><div class="ttc" id="class_user_preferences_widget_html"><div class="ttname"><a href="class_user_preferences_widget.html">UserPreferencesWidget</a></div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.h:38</div></div>
<div class="ttc" id="class_user_dialog_html_ada6d6ec95aeb83241afa80f68c42ae02"><div class="ttname"><a href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">UserDialog::sendReserveBookRequestResult</a></div><div class="ttdeci">void sendReserveBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html_a049e0f82ce07eaf7b82cd3d4251baa6c"><div class="ttname"><a href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">UserDialog::sendExportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendExportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_user_dialog_html_aa89b7955cff67e4fc9528de6d266a045"><div class="ttname"><a href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">UserDialog::sendAddBookToWishlistRequest</a></div><div class="ttdeci">void sendAddBookToWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_user_dialog_html_a98b08931005f5a9f901afff4003286df"><div class="ttname"><a href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">UserDialog::sendReserveBookRequest</a></div><div class="ttdeci">void sendReserveBookRequest(Book book)</div></div>
<div class="ttc" id="class_user_dialog_html_a7eb28790ede8a8d131b41a631f45fdd0"><div class="ttname"><a href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">UserDialog::sendAddBookToWishlistRequestResult</a></div><div class="ttdeci">void sendAddBookToWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html_ac6562b9d4472d5f91c1c97d49cf3cacf"><div class="ttname"><a href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">UserDialog::openAboutDialog</a></div><div class="ttdeci">void openAboutDialog()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:104</div></div>
<div class="ttc" id="class_user_dialog_html_a45c414c62b116e74e61ba290f3400505"><div class="ttname"><a href="class_user_dialog.html#a45c414c62b116e74e61ba290f3400505">UserDialog::setup</a></div><div class="ttdeci">virtual void setup()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:29</div></div>
<div class="ttc" id="class_user_dialog_html_a735e0f1530bc833767488bead7579af2"><div class="ttname"><a href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">UserDialog::sendRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html_aa68431ff6220fc31aecdb75f2c84c316"><div class="ttname"><a href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">UserDialog::sendEditUserRequest</a></div><div class="ttdeci">void sendEditUserRequest(User user, bool isAdmin, QString password)</div></div>
<div class="ttc" id="class_user_dialog_html_ae5f8ac35de41d3c9e64c85e1689cedc8"><div class="ttname"><a href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">UserDialog::sendWishlistRequest</a></div><div class="ttdeci">void sendWishlistRequest()</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_user_dialog_html_ace1910dfa6e1f56bc3d3c3d3e4b21542"><div class="ttname"><a href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">UserDialog::sendRemoveBookFromWishlistRequest</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_user_dialog_html_a125c2aa9aa687da507d02f3af94f9e48"><div class="ttname"><a href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">UserDialog::sendImportWishlistFromFileRequest</a></div><div class="ttdeci">void sendImportWishlistFromFileRequest(QString pathToFileToImport)</div></div>
<div class="ttc" id="class_user_dialog_html_ac53233e905d7e83008028fec11ea2538"><div class="ttname"><a href="class_user_dialog.html#ac53233e905d7e83008028fec11ea2538">UserDialog::createAndAddMyBooksTab</a></div><div class="ttdeci">virtual void createAndAddMyBooksTab()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:43</div></div>
<div class="ttc" id="class_user_dialog_html_ab11953e6e270a9ca297703255da0120d"><div class="ttname"><a href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">UserDialog::sendDetailsAboutBookRequestResult</a></div><div class="ttdeci">void sendDetailsAboutBookRequestResult(Book book, bool isReservedByUser, bool isInUserWishlist)</div></div>
<div class="ttc" id="class_user_dialog_html_ab242de16bd25f1eeeb6cbc3d9656e992"><div class="ttname"><a href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">UserDialog::sendExportWishlistFromFileRequest</a></div><div class="ttdeci">void sendExportWishlistFromFileRequest(QString pathToFileToExport)</div></div>
<div class="ttc" id="class_user_dialog_html_ab441b89bb8e70c48ebca03c6773efb04"><div class="ttname"><a href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">UserDialog::sendDetailsAboutBookRequest</a></div><div class="ttdeci">void sendDetailsAboutBookRequest(QString isbn)</div></div>
<div class="ttc" id="class_user_dialog_html_aeab67aca47d699663edc8bfed7e6da40"><div class="ttname"><a href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">UserDialog::sendReturnBookRequestResult</a></div><div class="ttdeci">void sendReturnBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html_aaa3afeb0ef9cd5257da3321704d2a322"><div class="ttname"><a href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">UserDialog::sendImportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendImportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_dialog_html_a0edc1453c13fe50e9a34754edd1ce60e"><div class="ttname"><a href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">UserDialog::sendLoansRequest</a></div><div class="ttdeci">void sendLoansRequest()</div></div>
<div class="ttc" id="class_user_dialog_html_ac1e1ca783995919647b8d2e4a416a890"><div class="ttname"><a href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">UserDialog::sendWishlistRequestResult</a></div><div class="ttdeci">void sendWishlistRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_user_dialog_html_a7bc4daa2484ab1ba35e78d7fcda8e91a"><div class="ttname"><a href="class_user_dialog.html#a7bc4daa2484ab1ba35e78d7fcda8e91a">UserDialog::createAndAddPreferencesTab</a></div><div class="ttdeci">virtual void createAndAddPreferencesTab()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:48</div></div>
<div class="ttc" id="class_user_dialog_html_a05d4498e62cbb9aba70a60c88ca09485"><div class="ttname"><a href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">UserDialog::sendSearchBookRequestResult</a></div><div class="ttdeci">void sendSearchBookRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_user_dialog_html_a8ceda6e9a42e541213117a785a03a34e"><div class="ttname"><a href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">UserDialog::sendUserRequestResult</a></div><div class="ttdeci">void sendUserRequestResult(User user, bool isAdmin)</div></div>
<div class="ttc" id="class_user_dialog_html_a7e7fb490bbaa72ec5fa9641f19070200"><div class="ttname"><a href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">UserDialog::sendSearchBookRequest</a></div><div class="ttdeci">void sendSearchBookRequest(QString id, QString title)</div></div>
<div class="ttc" id="class_user_dialog_html_ada179e25c08942cd6f200dc0ad8ba3ed"><div class="ttname"><a href="class_user_dialog.html#ada179e25c08942cd6f200dc0ad8ba3ed">UserDialog::createMenuBar</a></div><div class="ttdeci">virtual QMenuBar * createMenuBar()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:132</div></div>
<div class="ttc" id="class_user_dialog_html_ab399986324d115af1ee3aa9de52fcd14"><div class="ttname"><a href="class_user_dialog.html#ab399986324d115af1ee3aa9de52fcd14">UserDialog::UserDialog</a></div><div class="ttdeci">UserDialog(QString title=&quot;User&quot;, QDialog *parent=0)</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:24</div></div>
<div class="ttc" id="class_user_dialog_html_a8d9cec62b7a9eee1812b628c0a15308f"><div class="ttname"><a href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">UserDialog::sendReturnBookRequest</a></div><div class="ttdeci">void sendReturnBookRequest(Book book)</div></div>
<div class="ttc" id="class_user_dialog_html"><div class="ttname"><a href="class_user_dialog.html">UserDialog</a></div><div class="ttdef"><b>Definition:</b> UserDialog.h:32</div></div>
<div class="ttc" id="class_user_dialog_html_a35fd2e5ba2011a8b75e2b9a61c31b532"><div class="ttname"><a href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">UserDialog::sendCurrentUserRequest</a></div><div class="ttdeci">void sendCurrentUserRequest()</div></div>
<div class="ttc" id="class_user_dialog_html_aecc8092341671bf6575563dd298e956f"><div class="ttname"><a href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">UserDialog::sendLoansRequestResult</a></div><div class="ttdeci">void sendLoansRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_user_books_widget_html"><div class="ttname"><a href="class_user_books_widget.html">UserBooksWidget</a></div><div class="ttdef"><b>Definition:</b> UserBooksWidget.h:42</div></div>
<div class="ttc" id="class_user_dialog_html_afe9e641da1d07ae9a364eef4ce3c5bab"><div class="ttname"><a href="class_user_dialog.html#afe9e641da1d07ae9a364eef4ce3c5bab">UserDialog::connectSignalsSlots</a></div><div class="ttdeci">virtual void connectSignalsSlots()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:53</div></div>
<div class="ttc" id="class_user_dialog_html_ab8488583c180d07fed7a4f7b258781e2"><div class="ttname"><a href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">UserDialog::openHelpDialog</a></div><div class="ttdeci">void openHelpDialog()</div><div class="ttdef"><b>Definition:</b> UserDialog.cpp:120</div></div>
<div class="ttc" id="class_user_dialog_html_ae914abc5a44dcb119e3516a3ebcda147"><div class="ttname"><a href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">UserDialog::sendEditUserRequestResult</a></div><div class="ttdeci">void sendEditUserRequestResult(bool ok)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_a983d9c597fd818a818a1f2184da3b70.html">UserDialog</a></li><li class="navelem"><b>UserDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
